document.addEventListener('DOMContentLoaded', function() {
  // التحقق من حجم الملف قبل الرفع
  const fileInputs = document.querySelectorAll('input[type="file"]');
  fileInputs.forEach(input => {
    input.addEventListener('change', function() {
      const maxSize = 5 * 1024 * 1024; // 5MB
      if (this.files[0].size > maxSize) {
        alert('حجم الملف كبير جداً. الحد الأقصى هو 5 ميجابايت');
        this.value = '';
      }
    });
  });

  // تأكيد حذف المستندات
  const deleteButtons = document.querySelectorAll('.delete-document');
  deleteButtons.forEach(button => {
    button.addEventListener('click', function(e) {
      if (!confirm('هل أنت متأكد من حذف هذا المستند؟')) {
        e.preventDefault();
      }
    });
  });
});